net.sf.okapi.common

## Enum BOMNewlineEncodingDetector.NewlineType

- java.lang.Object
- - java.lang.Enum<BOMNewlineEncodingDetector.NewlineType>
  - - net.sf.okapi.common.BOMNewlineEncodingDetector.NewlineType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BOMNewlineEncodingDetector.NewlineType>
  Enclosing class:
    BOMNewlineEncodingDetector

      public static enum BOMNewlineEncodingDetector.NewlineType
      extends java.lang.Enum<BOMNewlineEncodingDetector.NewlineType>

  Defines type friendly newline types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CR` Carriage Return
    `CRLF` Carriage Return Line Feed
    `LF` Line Feed
    `UNKOWN` UNKOWN

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BOMNewlineEncodingDetector.NewlineType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BOMNewlineEncodingDetector.NewlineType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CR

          public static final BOMNewlineEncodingDetector.NewlineType CR

      Carriage Return

    - #### LF

          public static final BOMNewlineEncodingDetector.NewlineType LF

      Line Feed

    - #### CRLF

          public static final BOMNewlineEncodingDetector.NewlineType CRLF

      Carriage Return Line Feed

    - #### UNKOWN

          public static final BOMNewlineEncodingDetector.NewlineType UNKOWN

      UNKOWN

  - ### Method Detail

    - #### values

          public static BOMNewlineEncodingDetector.NewlineType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BOMNewlineEncodingDetector.NewlineType c : BOMNewlineEncodingDetector.NewlineType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BOMNewlineEncodingDetector.NewlineType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null